Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-7377

update metrics module from yammer to dropwizrd

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.0.0, 1.1.1, 2.0.0
    • Fix Version/s: None
    • Component/s: metrics
    • Labels:
      None

      Description

      Current kafka metrics depends on yammers. Please see depencies below - 

      https://mvnrepository.com/artifact/org.apache.kafka/kafka_2.12/2.0.0

       

      Yammer is outdated long time back. It would be good to update the metrics module to dropwizard metrics.

       

      https://mvnrepository.com/artifact/com.codahale.metrics/metrics-core

       

      https://mvnrepository.com/artifact/io.dropwizard.metrics/metrics-core

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                rajcspsg RAJKUMAR NATARAJAN
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: